<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_rt_2022-11-01.xsd#rol_CTELabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_BuySellTransactionCL" xlink:label="BuySellTransactionCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_NotesOnBusinessRestructuringExpensesTextBlock" xlink:label="NotesOnBusinessRestructuringExpensesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_BusinessRestructuringCostsEL" xlink:label="BusinessRestructuringCostsEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisposalOfTreasuryStockToStockBenefitTrust" xlink:label="DisposalOfTreasuryStockToStockBenefitTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_AcquisitionOfTreasuryStockByStockTransferTrust" xlink:label="AcquisitionOfTreasuryStockByStockTransferTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ChemicalProductsReportableSegmentsMember" xlink:label="ChemicalProductsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_BuildingMaterialsReportableSegmentsMember" xlink:label="BuildingMaterialsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" xlink:label="DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_OtherCL" xlink:label="OtherCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ReferenceToOtherInformationStrategy" xlink:label="ReferenceToOtherInformationStrategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ReferenceToOtherInformationRiskManagement" xlink:label="ReferenceToOtherInformationRiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" xlink:label="ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisposalOfTreasuryStockThroughAStockTrust" xlink:label="DisposalOfTreasuryStockThroughAStockTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_OnoYujiMember" xlink:label="OnoYujiMember" />
    <link:label xlink:type="resource" xlink:label="label_OtherCL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_OtherCL">liabilities pertaining to paid payments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherCL" xlink:to="label_OtherCL" />
    <link:label xlink:type="resource" xlink:label="label_OtherCL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_OtherCL_2">liabilities pertaining to paid payments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherCL" xlink:to="label_OtherCL_2" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_DisposalOfTreasuryStockByStockBenefitTrust" xlink:label="DisposalOfTreasuryStockByStockBenefitTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_EbiharaKenjiMember" xlink:label="EbiharaKenjiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_OmuraNobuyukiMember" xlink:label="OmuraNobuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_ShimizuAyakoMember" xlink:label="ShimizuAyakoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_MoriRyojiMember" xlink:label="MoriRyojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_MiyamotoShojiMember" xlink:label="MiyamotoShojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_YamamotoMitsukoMember" xlink:label="YamamotoMitsukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_IwatukaYujiMember" xlink:label="IwatukaYujiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E00824-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E00824-000_KanieHiroshiMember" xlink:label="KanieHiroshiMember" />
    <link:label xlink:type="resource" xlink:label="label_BuySellTransactionCL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BuySellTransactionCL">buy-sell transaction liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BuySellTransactionCL" xlink:to="label_BuySellTransactionCL" />
    <link:label xlink:type="resource" xlink:label="label_BuySellTransactionCL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BuySellTransactionCL_2">buy-sell transaction-CL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BuySellTransactionCL" xlink:to="label_BuySellTransactionCL_2" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF">Proceeds from issuance of convertible bonds with subscription rights to shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" xlink:to="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF_2">Proceeds from issuance of convertible bonds with subscription rights to shares - FinCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF" xlink:to="label_ProceedsFromIssuanceOfConvertibleBondsWithSubscriptionRightsToSharesFinCF_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">Governance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">Governance [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategy_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategy" xlink:to="label_ReferenceToOtherInformationStrategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategy">Reference to other information, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategy" xlink:to="label_ReferenceToOtherInformationStrategy" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">Policy on human resource development and improvement of internal environment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">Risk management [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationRiskManagement_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationRiskManagement">Reference to other information, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesOnBusinessRestructuringExpensesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesOnBusinessRestructuringExpensesTextBlock">Notes on Business Restructuring Expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOnBusinessRestructuringExpensesTextBlock" xlink:to="label_NotesOnBusinessRestructuringExpensesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesOnBusinessRestructuringExpensesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesOnBusinessRestructuringExpensesTextBlock_2">Notes on Business Restructuring Expenses [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOnBusinessRestructuringExpensesTextBlock" xlink:to="label_NotesOnBusinessRestructuringExpensesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember">Directors audit and supervisory committee members excluding outside directors</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" xlink:to="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" />
    <link:label xlink:type="resource" xlink:label="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember_2">Directors audit and supervisory committee members excluding outside directors [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember" xlink:to="label_DirectorsAuditAndSupervisoryCommitteeMembersExcludingOutsideDirectorsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ChemicalProductsReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ChemicalProductsReportableSegmentsMember">Chemical Products</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChemicalProductsReportableSegmentsMember" xlink:to="label_ChemicalProductsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_ChemicalProductsReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ChemicalProductsReportableSegmentsMember_2">Chemical Products, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChemicalProductsReportableSegmentsMember" xlink:to="label_ChemicalProductsReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_BuildingMaterialsReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BuildingMaterialsReportableSegmentsMember">Construction and Housing Materials</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BuildingMaterialsReportableSegmentsMember" xlink:to="label_BuildingMaterialsReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_BuildingMaterialsReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BuildingMaterialsReportableSegmentsMember_2">Building Materials, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BuildingMaterialsReportableSegmentsMember" xlink:to="label_BuildingMaterialsReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares, Details of specified investment shares held for purposes other than pure investment, Reporting company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_BusinessRestructuringCostsEL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BusinessRestructuringCostsEL">Business restructuring costs</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BusinessRestructuringCostsEL" xlink:to="label_BusinessRestructuringCostsEL" />
    <link:label xlink:type="resource" xlink:label="label_BusinessRestructuringCostsEL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BusinessRestructuringCostsEL_2">Business restructuring costs-EL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BusinessRestructuringCostsEL" xlink:to="label_BusinessRestructuringCostsEL_2" />
    <link:label xlink:type="resource" xlink:label="label_OnoYujiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OnoYujiMember">Ono, Yuji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OnoYujiMember" xlink:to="label_OnoYujiMember" />
    <link:label xlink:type="resource" xlink:label="label_OnoYujiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OnoYujiMember_2">Ono, Yuji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OnoYujiMember" xlink:to="label_OnoYujiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_EbiharaKenjiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EbiharaKenjiMember">Ebihara, Kenji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EbiharaKenjiMember" xlink:to="label_EbiharaKenjiMember" />
    <link:label xlink:type="resource" xlink:label="label_EbiharaKenjiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EbiharaKenjiMember_2">Ebihara, Kenji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EbiharaKenjiMember" xlink:to="label_EbiharaKenjiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OmuraNobuyukiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OmuraNobuyukiMember">Omura, Nobuyuki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OmuraNobuyukiMember" xlink:to="label_OmuraNobuyukiMember" />
    <link:label xlink:type="resource" xlink:label="label_OmuraNobuyukiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OmuraNobuyukiMember_2">Omura, Nobuyuki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OmuraNobuyukiMember" xlink:to="label_OmuraNobuyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IwatukaYujiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IwatukaYujiMember">Iwatuka, Yuji[member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IwatukaYujiMember" xlink:to="label_IwatukaYujiMember" />
    <link:label xlink:type="resource" xlink:label="label_IwatukaYujiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IwatukaYujiMember_2">Iwatuka, Yuji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IwatukaYujiMember" xlink:to="label_IwatukaYujiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KanieHiroshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KanieHiroshiMember">Kanie, Hiroshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KanieHiroshiMember" xlink:to="label_KanieHiroshiMember" />
    <link:label xlink:type="resource" xlink:label="label_KanieHiroshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KanieHiroshiMember_2">Kanie, Hiroshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KanieHiroshiMember" xlink:to="label_KanieHiroshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ShimizuAyakoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ShimizuAyakoMember">Shimizu, Ayako</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimizuAyakoMember" xlink:to="label_ShimizuAyakoMember" />
    <link:label xlink:type="resource" xlink:label="label_ShimizuAyakoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ShimizuAyakoMember_2">Shimizu, Ayako [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimizuAyakoMember" xlink:to="label_ShimizuAyakoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MoriRyojiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MoriRyojiMember">Mori, Ryoji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MoriRyojiMember" xlink:to="label_MoriRyojiMember" />
    <link:label xlink:type="resource" xlink:label="label_MoriRyojiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MoriRyojiMember_2">Mori, Ryoji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MoriRyojiMember" xlink:to="label_MoriRyojiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiyamotoShojiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiyamotoShojiMember">Miyamoto, Shoji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyamotoShojiMember" xlink:to="label_MiyamotoShojiMember" />
    <link:label xlink:type="resource" xlink:label="label_MiyamotoShojiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiyamotoShojiMember_2">Miyamoto, Shoji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyamotoShojiMember" xlink:to="label_MiyamotoShojiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YamamotoMitsukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YamamotoMitsukoMember">Yamamoto, Mitsuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamamotoMitsukoMember" xlink:to="label_YamamotoMitsukoMember" />
    <link:label xlink:type="resource" xlink:label="label_YamamotoMitsukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YamamotoMitsukoMember_2">Yamamoto, Mitsuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamamotoMitsukoMember" xlink:to="label_YamamotoMitsukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisposalOfTreasuryStockToStockBenefitTrust">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_2">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_2" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_3">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_3" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_4" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_4">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_4" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_5" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/negativeLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_5">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_5" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_6" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_6">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_6" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_7" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" id="label_DisposalOfTreasuryStockToStockBenefitTrust_7">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_7" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_8" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/documentation" id="label_DisposalOfTreasuryStockToStockBenefitTrust_8">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_8" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockToStockBenefitTrust_9" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_DisposalOfTreasuryStockToStockBenefitTrust_9">Disposal of treasury stock to stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockToStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockToStockBenefitTrust_9" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AcquisitionOfTreasuryStockByStockTransferTrust">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_2">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_2" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_3">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_3" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_4" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_4">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_4" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_5" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/negativeLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_5">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_5" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_6" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_6">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_6" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_7" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_7">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_7" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_8" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/documentation" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_8">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_8" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionOfTreasuryStockByStockTransferTrust_9" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_AcquisitionOfTreasuryStockByStockTransferTrust_9">Acquisition of treasury stock by stock transfer trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionOfTreasuryStockByStockTransferTrust" xlink:to="label_AcquisitionOfTreasuryStockByStockTransferTrust_9" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisposalOfTreasuryStockByStockBenefitTrust_2">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_2" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_3">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_3" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_4" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_4">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_4" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_5" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_5">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_5" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_6" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/negativeLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_6">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_6" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_7" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_7">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_7" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_8" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" id="label_DisposalOfTreasuryStockByStockBenefitTrust_8">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_8" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust_9" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/documentation" id="label_DisposalOfTreasuryStockByStockBenefitTrust_9">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust_9" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockByStockBenefitTrust" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_DisposalOfTreasuryStockByStockBenefitTrust">Disposal of treasury stock by stock benefit trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockByStockBenefitTrust" xlink:to="label_DisposalOfTreasuryStockByStockBenefitTrust" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockThroughAStockTrust" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisposalOfTreasuryStockThroughAStockTrust">Disposal of treasury stock through a stock trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockThroughAStockTrust" xlink:to="label_DisposalOfTreasuryStockThroughAStockTrust" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockThroughAStockTrust_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisposalOfTreasuryStockThroughAStockTrust_2">Disposal of treasury stock through a stock trust</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockThroughAStockTrust" xlink:to="label_DisposalOfTreasuryStockThroughAStockTrust_2" />
  </link:labelLink>
</link:linkbase>